> For the complete documentation index, see [llms.txt](https://docs.iglee.fr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iglee.fr/resourceful-shulkers/configuration/add-shulkers.md).

# Add Shulkers

Allows you to add custom shulkers

Custom shulkers are added by creating JSON files in the folder `config/resourcefulshulkers/shulkers/` . Each file represent a custom shulker.

## The Shulker File

The shulker file has mandatory properties for the shulker and optional properties.

### Mandatory Properties

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1faaa">🪪</span> Id</summary>

### Name : `id`

### Description :

This is the id of the shulker

You can only use the characters : `a-z 0-9 /`

### Example :

```json
"id": "resourcefulshulkers:iron"
```

</details>

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f4b3">💳</span> Name</summary>

### Name : `name`

### Description :

This is the display name of the shulker\
If you want to have a colored name for the shulker you can use [Minecraft color codes](https://minecraft.wiki/w/Formatting_codes#Color_codes) with the symbol `§`

### Example :

```json
"name": "§7Iron"
```

</details>

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f48e">💎</span> Item</summary>

### Name : `item`

### Description :

The item generated by the shulker with a generating box.\
It can either be an item id, a tag or an item stack without the count.

### Examples :

```json
"item": "minecraft:iron_ingot"
```

```json
"item": "#c:ingots/iron"
```

Here we create an iron ingot named `Hello World`

```json
"item": {
  "id": "minecraft:iron_ingot",
  "components": {
      "minecraft:custom_name": "Hello World"
  }
}
```

</details>

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f7e2">🟢</span> Color</summary>

### Name : `color`

### Description :

The color used for the shulker shell item. It can either be a integer or a hex value (with or without the #).

### Examples :

```json
"color": 13750223
```

```json
"color": "D1CFCF"
```

</details>

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f4e6">📦</span> Type</summary>

### Name : `type`

### Description :

The type of the shulker. Used for the recipes.\
Types are customizable : [Add Types](/resourceful-shulkers/configuration/add-types.md)

### Examples :

```json
"type": "resourcefulshulkers:overworld"
```

</details>

### Optional Properties

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f58c">🖌️</span> Texture</summary>

### Name : `texture`

### Default : `{id_namespace}:entity/shulker/{type}/{id_path}`

### Description :

The texture of the shulker entity

### Example :

```json
"texture": "resourcefulshulkers:entity/shulker/overworld/iron"
```

</details>

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f5bc">🖼️</span> Box Texture</summary>

### Name : `box_texture`

### Description :

The texture of the generating box

{% hint style="info" %}
If not specified it uses the `texture` field
{% endhint %}

### Example :

```json
"box_texture": "resourcefulshulkers:entity/shulker/overworld/iron"
```

</details>

### Example

Here's an example for an iron shulker.

```json
{
  "id": "resourcefulshulkers:iron",
  "name": "§7Iron",
  "item": "minecraft:iron_ingot",
  "color": "#D1CFCF",
  "type": "resourcefulshulkers:overworld"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.iglee.fr/resourceful-shulkers/configuration/add-shulkers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
